<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaSueno.home.createOrEditLabel"
          data-cy="SuenoCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaSueno.home.createOrEditLabel')"
        >
          Create or edit a Sueno
        </h2>
        <div>
          <div class="form-group" v-if="sueno.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="sueno.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaSueno.superficial')" for="sueno-superficial">Superficial</label>
            <input
              type="number"
              class="form-control"
              name="superficial"
              id="sueno-superficial"
              data-cy="superficial"
              :class="{ valid: !$v.sueno.superficial.$invalid, invalid: $v.sueno.superficial.$invalid }"
              v-model.number="$v.sueno.superficial.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaSueno.profundo')" for="sueno-profundo">Profundo</label>
            <input
              type="number"
              class="form-control"
              name="profundo"
              id="sueno-profundo"
              data-cy="profundo"
              :class="{ valid: !$v.sueno.profundo.$invalid, invalid: $v.sueno.profundo.$invalid }"
              v-model.number="$v.sueno.profundo.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaSueno.despierto')" for="sueno-despierto">Despierto</label>
            <input
              type="number"
              class="form-control"
              name="despierto"
              id="sueno-despierto"
              data-cy="despierto"
              :class="{ valid: !$v.sueno.despierto.$invalid, invalid: $v.sueno.despierto.$invalid }"
              v-model.number="$v.sueno.despierto.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaSueno.timeInstant')" for="sueno-timeInstant"
              >Time Instant</label
            >
            <div class="d-flex">
              <input
                id="sueno-timeInstant"
                data-cy="timeInstant"
                type="datetime-local"
                class="form-control"
                name="timeInstant"
                :class="{ valid: !$v.sueno.timeInstant.$invalid, invalid: $v.sueno.timeInstant.$invalid }"
                :value="convertDateTimeFromServer($v.sueno.timeInstant.$model)"
                @change="updateInstantField('timeInstant', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaSueno.user')" for="sueno-user">User</label>
            <select class="form-control" id="sueno-user" data-cy="user" name="user" v-model="sueno.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="sueno.user && userOption.id === sueno.user.id ? sueno.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.sueno.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./sueno-update.component.ts"></script>
